×
Ruby on Rails: постинг твитов через Twitter API (04 нояб 2017)

Практикуемся в Ruby on Rails.

Вопрос Kunena 1.6 upgrade. Рекомендации Матиаса

Больше
6 года 9 мес. назад - 6 года 9 мес. назад #1 от Aleksej
Aleksej создал эту тему: Kunena 1.6 upgrade. Рекомендации Матиаса
Перевод статьи Матиаса (kunena.org)

Before you install Kunena 1.6 - check list

В большинстве случаев установка либо модернизация Kunena 1.6 проходит без всяких проблем. Но, поскольку ничто никогда не идет как запланировано, я написал контрольный список, который призван решить большинство общих вопросов прежде, чем они будут иметь место.

Kunena 1.6 требует относительно новой версии Joomla, и также требует, чтобы ваш шаблон, модули и plugins были совместимы с Mootools 1.2. Вы можете установить Kunena на сайт, имеющий несовместимое программное обеспечение - но не на одной странице вместе с Kunena.

Также - все программное обеспечение должно быть модернизировано и проверено на совместимость с Kunena 1.6 прежде, чем это может быть благополучно установлено. В самом худшем случае эти старые расширения могут серьезно нарушить работу вашего сайта.

Очень рекомендую установить Kunena 1.6 сначала в КОПИЮ вашего сайта. Это позволяет Вам делать заметки, проконсультироваться с нашей подержкой, решить любые возникающие вопросы (процесс модернизации, конфликты JavaScript, вопросы CSS, вопросы меню и т.д), в то время как ваш сайт будет исправно работать.

Не устанавливайте Kunena 1.6, используя Google Chrome - Joomla 1.5.20 имеет ошибку переназначения, которая приводит к ошибке установки.

Installation / upgrade steps:
  1. Используйте резервную копию сайта
  2. Обновите Joomla до версии 1.5.20 или выше
  3. Обновите ваш шаблон и плагины (либо удостоверьтесь в совместимости с Mootools 1.2).
  4. Обновите ваш SEF-компонент (если есть) и убедитесь в его подддержке kunena 1.6
  5. Обновите AlphaUserPoints, CommunityBuilder, JomSocial и компоненты UddeIM
  6. Обновите все иное ПО
  7. Включите System - Mootools Upgrade Plugin и проверьте работу и функционал вашего сайта
  8. Проверьте, поддерживает ли ваш модуль меню Menu Aliases / Menu Links
  9. Деинсталлируйте FireBoard / Kunena 1.5 modules and plugins
  10. Деинсталлируйте FireBoard / Kunena 1.5 to remove old files (optional)
  11. Установите kunena 1.6
  12. Установите Kunena 1.6 modules and plugins (optional)
  13. Убедитесь, что все работает (шаблон, меню, редактор BBCode и т.д)
Последнее редактирование: 6 года 9 мес. назад от Aleksej.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.